#include <stdlib.h>
#include <gtk/gtk.h>
#include <aspectbin.h>

void quit()
{
	exit(0);
}

int main(int argc, char **argv)
{
	GtkWidget *window;
	GtkWidget *aspectbin;
	GtkWidget *button1, *button2;

	gtk_init(&argc, &argv);

	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title(GTK_WINDOW(window), "Blargh");
	gtk_window_set_default_size(GTK_WINDOW(window), 400, 300);

	aspectbin = aspect_bin_new();
	button1 = gtk_button_new_with_label("Square");
	button2 = gtk_button_new_with_label("Rectangle");

	gtk_container_add(GTK_CONTAINER(aspectbin), button1);
	gtk_container_add(GTK_CONTAINER(aspectbin), button2);

	g_object_set(G_OBJECT(aspectbin),
		"constrain", TRUE,
		NULL);
	gtk_container_child_set(GTK_CONTAINER(aspectbin), button1,
		"align", 0.5,
		NULL);

	gtk_container_add(GTK_CONTAINER(window), aspectbin);

	g_signal_connect (G_OBJECT(window), "destroy", G_CALLBACK(quit), NULL);

	gtk_widget_show_all(window);
	gtk_main();

	return 0;
}
